BioFlatIndex (BioJava Applications API)
Keywords: org.biojava.app.BioFlatIndex class

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.app
Class BioFlatIndex

    java.lang.Object
      org.biojava.app.BioFlatIndex

    public class BioFlatIndex

extends Object

`BioFlatIndex` is a user application for performing sequence flat file indexing according to the Open Bioinformatics Database Access (OBDA) indexing standard. It may be used to create a new index or to update an existing index with new files. When creating a new index the sequence file format (currently one of 'fasta', 'swissprot', 'embl' or 'genbank', case-insensitive) and alphabet ('dna', 'rna', 'aa', case-insensitive) must be indicated. This information is stored in the index and is used by the sequence retrieval code to determine how to treat the indexed file(s). See the FLAT-DATABASES-HOWTO for more information.

Author:
  Keith James, Matthew Pocock
Useage:

  `java org.biojava.app.BioFlatIndex` | `-c -a alphabet -d dbName -f format [-i indexScheme -l indexRoot] seqFileList`
  `java org.biojava.app.BioFlatIndex` | `-d [-l] seqFileList`
  `java org.biojava.app.BioFlatIndex` | `-h`

Option:

  `-a, --alphabet` | Source file alphabet {@biojava.values dna rna aa}
  `-c, --create` | Create a new index
  `-d, --dbname` | Specify the symbolic database name (used as the index root directory name)
  `-f, --format` | Specifies the source file format
  `-h, --help` | Command line help
  `-i, --index` | Specify the indexing scheme {@biojava.default flat}
  `-l, --location` | Path to the index root directory {@biojava.default `cwd`}

Argument:

  `seqFileList` | Any number of sequence file names of the apropreate format

Constructor Summary
`BioFlatIndex()`

Method Summary
`static void` | `main(String[] argv)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BioFlatIndex

    public BioFlatIndex()

Method Detail

### main

    public static void main(String[] argv)
                     throws Exception

  Throws:
    `Exception`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD